# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HDataMapOfStringInteger Class Reference

Extension of TDataStd_DataMapOfStringInteger class
to be manipulated by handle.
.

`#include <TDataStd_HDataMapOfStringInteger.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HDataMapOfStringInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT | TDataStd_HDataMapOfStringInteger (const TDataStd_DataMapOfStringInteger &theOther)
const TDataStd_DataMapOfStringInteger & | Map () const
TDataStd_DataMapOfStringInteger & | ChangeMap ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_DataMapOfStringInteger | myMap

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HDataMapOfStringInteger::TDataStd_HDataMapOfStringInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

Standard_EXPORT TDataStd_HDataMapOfStringInteger::TDataStd_HDataMapOfStringInteger | ( | const TDataStd_DataMapOfStringInteger & | theOther | ) |

## Member Function Documentation

TDataStd_DataMapOfStringInteger & TDataStd_HDataMapOfStringInteger::ChangeMap | ( |  | ) | `[inline]`

Standard_EXPORT const TDataStd_HDataMapOfStringInteger::Handle | ( | Standard_Type |  | ) | const

const TDataStd_DataMapOfStringInteger & TDataStd_HDataMapOfStringInteger::Map | ( |  | ) | const`[inline]`

## Field Documentation

TDataStd_DataMapOfStringInteger TDataStd_HDataMapOfStringInteger::myMap `[private]`

The documentation for this class was generated from the following files:

- TDataStd_HDataMapOfStringInteger.hxx
- TDataStd_HDataMapOfStringInteger.lxx